
* mentor balance

keep if _merge_midline != . // non-missing for first set of 1,852 rows
keep if mentor == 1

eststo m1: estpost summarize age edu experience profit employee if r_mentor == 0
eststo m2: estpost summarize age edu experience profit employee if r_mentor == 1
eststo diff: estpost ttest age edu experience profit employee, by(r_mentor) unequal


esttab m1 m2 diff using "$path/Output/Appendix_B/mentor_balance.tex", label nomtitles replace collabels(none) nolines nonumber stats(N, labels("Number of Observations") fmt(%12.0fc)) cells("mean(pattern(1 1 0) fmt(a2)) b(pattern(0 0 1) fmt(%5.1f)) p(pattern(0 0 1) fmt(2))" "sd(pattern(1 1 0) par) se(par fmt(a1) pattern(0 0 1))") substitute(\_ _ \$ $) ///
$stars_setup ///
prehead("\begin{table}[h]	\centering	\footnotesize	\caption{Balance of Ugandan and Refugee Mentor Characteristics} \label{tab:mentor_balance}	\begin{tabular}{l*{4}{>{\centering\arraybackslash}p{1.9cm}}} \toprule \toprule  & \shortstack{Ugandan\\Mentors} & \shortstack{Refugee\\Mentors} & \shortstack{Difference\\(U--R)} & p-Value \\") ///
posthead("\cmidrule{2-5}") ///
prefoot("& & & & \\") ///
postfoot("\bottomrule \bottomrule \multicolumn{5}{p{0.81\linewidth}}{\footnotesize First two columns show means (standard deviations) within Ugandan and refugee mentors, respectively. Third column shows differences in means (standard errors) and the fourth column shows the $ p $-value from a two-sided $ t $-test of equivalence of means. $stars_note}  \end{tabular} \\ \end{table}%")
