


*------------------------------------------------------------------------------------
* Table 1 -- Policy Preferences
*------------------------------------------------------------------------------------

label var d1_1 "\shortstack{Supports\\Refugee\\Hosting}"
label var d1_3 "\shortstack{Supports\\More\\Refugees}"
label var d1_7 "\shortstack{Supports\\Right\\to Work}"
label var d1_5 "\shortstack{Supports\\Freedom of\\Movement}"
label var e_domain1 "\shortstack{Integration\\Policies\\Index}"
label var oyoh_yes "\shortstack{Supported\\Phone\\Campaign$^+$}"

pdslasso oyoh_yes ib6.treatment (i.strata $cat_list $lik_list $con_list), partial(i.strata) post(pds) robust cluster(ent_id) lopt(prestd)
		
		test 4.treatment = 5.treatment
		estadd scalar p1 = r(p)
		test 3.treatment = 5.treatment
		estadd scalar p2 = r(p)
		test 2.treatment = 5.treatment
		estadd scalar p3 = r(p)
		test 2.treatment = 4.treatment
		estadd scalar p4 = r(p)
		test 1.treatment = 2.treatment
		estadd scalar p5 = r(p)
		
		qui sum oyoh_yes if treatment == 6 & e(sample)
		estadd scalar post_mean = r(mean)
		estadd scalar b_mean = .
		
		forvalues i=1/5{
			test `i'.treatment = 0
			local p`i' = r(p)
		}
		mat q = (`p1', `p2', `p3', `p4', `p5')
		mat colnames q = 1.treatment 2.treatment 3.treatment 4.treatment 5.treatment	
		estadd matrix q
			
estimates store oyoh

esttab sw_domain1 domain1_1 domain1_3 domain1_7 domain1_5 oyoh using "$path/Output/policy_pref.tex", label collabels(none) replace nolines nonumber keep(1.treatment 2.treatment 3.treatment 4.treatment 5.treatment) cells(b($stars_b fmt(%9.2f)) se(par fmt(%9.2f)) p(par([ ] ) fmt(%9.2f))) stats(N b_mean post_mean p1 p2 p3 p4 p5, fmt(%9.0fc %12.2fc %12.2fc %9.2f %9.2f %9.2f %9.2f %9.2f) labels("Observations" "Control Mean: Baseline" "Control Mean: Follow-Ups" "Lab. Grant = Info Only" "Lab. Grant = Grant Only" "Lab. Grant = R-Mentee" "R-Mentee = Info Only" "R-Mentee = U-Mentee")) coeflabels(1.treatment "Mentored by Ugandan" 2.treatment "Mentored by Refugee" 3.treatment "Grant Only" 4.treatment "Information Only" 5.treatment "Labeled Grant") order(5.treatment 4.treatment 3.treatment 2.treatment 1.treatment) substitute(\_ _ \$ $) ///
$stars_setup ///
prehead("\begin{table}[t]	\centering	\footnotesize	\caption{Support for Refugee Integration Policies} \label{tab:policy_pref}	\begin{tabular}{l*{6}{>{\centering\arraybackslash}p{1.6cm}}}\toprule \toprule ") ///
posthead("\cmidrule{2-7}") ///
prefoot("& & & & & & \\") ///
postfoot("\bottomrule \bottomrule \multicolumn{7}{p{\linewidth}}{\footnotesize An observation is a surveyed respondent per post-baseline survey round in Uganda. Results estimated through ANCOVA regression with baseline controls selected through double lasso. Standard errors clustered at the enterprise level in parentheses. Brackets and the last five rows display two-sided $ p $-values. Outcomes that were not pre-specified are denoted with $^+$. $stars_note}  \end{tabular} \\ \end{table}%")

estimates drop oyoh




*------------------------------------------------------------------------------------
* Table 3 -- Beliefs About Economic Impacts
*------------------------------------------------------------------------------------


esttab sw_domain4 domain19_4 domain3_3 domain4_2 domain4_3 domain4_4 using "$path/Output/econ_beliefs.tex", label collabels(none) replace nolines nonumber keep(1.treatment 2.treatment 3.treatment 4.treatment 5.treatment) cells(b($stars_b fmt(%9.2f)) se(par fmt(%9.2f)) p(par([ ] ) fmt(%9.2f))) stats(N b_mean post_mean p1 p2 p3 p4 p5, fmt(%9.0fc %12.2fc %12.2fc %9.2f %9.2f %9.2f %9.2f %9.2f) labels("Observations" "Control Mean: Baseline" "Control Mean: Follow-Ups" "Lab. Grant = Info Only" "Lab. Grant = Grant Only" "Lab. Grant = R-Mentee" "R-Mentee = Info Only" "R-Mentee = U-Mentee")) coeflabels(1.treatment "Mentored by Ugandan" 2.treatment "Mentored by Refugee" 3.treatment "Grant Only" 4.treatment "Information Only" 5.treatment "Labeled Grant") order(5.treatment 4.treatment 3.treatment 2.treatment 1.treatment) substitute(\_ _ \$ $) ///
$stars_setup ///
prehead("\begin{table}[h!]	\centering	\footnotesize	\caption{Beliefs About Economic Impacts of Hosting Refugees} \label{tab:econ_beliefs}	\begin{tabular}{l*{6}{>{\centering\arraybackslash}p{1.6cm}}}\toprule \toprule ") ///
posthead("\cmidrule{2-7}") ///
prefoot("& & & & & & \\") ///
postfoot("\bottomrule \bottomrule \multicolumn{7}{p{\linewidth}}{\footnotesize \textit{Associated Support w Refugees} is measured implicitly with the question \textquotedblleft Have you received assistance from any government or NGO program in the last 5 years, such as cash, mentorship services, food, etc.?\textquotedblright\ and if so, \textquotedblleft What organization provided the assistance?\textquotedblright\ and \textquotedblleft What do you know about (that organization)?\textquotedblright\ Enumerators were asked to code if the respondent mentioned refugees in their answer. \textit{Knows About Aid-Sharing} measured with the question \textquotedblleft Are any of the international donations to refugees in Uganda shared with Ugandans?\textquotedblright\ An observation is a surveyed respondent per post-baseline survey round in Uganda. Results estimated through ANCOVA regression with baseline controls selected through double lasso. Standard errors clustered at the enterprise level in parentheses. Brackets and the last five rows display two-sided $ p $-values. Outcomes that were not pre-specified are denoted with $^+$. $stars_note}  \end{tabular} \\ \end{table}%")

*------------------------------------------------------------------------------------
* Table 4 -- Cultural Attitudes
*------------------------------------------------------------------------------------


*would be comfortable marrying refugee and would be comfortable having refugee as close friend
foreach var in d6_2_tmp1 d6_2_tmp3 {
	pdslasso `var' ib6.treatment (i.strata i.wave phone_survey survey_date missing_b`var' b`var' $cat_list $lik_list $con_list), partial(i.strata i.wave phone_survey survey_date missing_b`var' b`var') post(pds) robust cluster(ent_id) lopt(prestd)
	
		test 4.treatment = 5.treatment
		estadd scalar p1 = r(p)
		test 3.treatment = 5.treatment
		estadd scalar p2 = r(p)
		test 2.treatment = 5.treatment
		estadd scalar p3 = r(p)
		test 2.treatment = 4.treatment
		estadd scalar p4 = r(p)
		test 1.treatment = 2.treatment
		estadd scalar p5 = r(p)
		
		qui sum `var' if treatment == 6 & e(sample)
		estadd scalar post_mean = r(mean)
		qui sum b`var' if treatment == 6 & finish_flag == 1
		estadd scalar b_mean = r(mean)
		
		forvalues i=1/5{
			test `i'.treatment = 0
			local p`i' = r(p)
		}
		mat q = (`p1', `p2', `p3', `p4', `p5')
		mat colnames q = 1.treatment 2.treatment 3.treatment 4.treatment 5.treatment	
		estadd matrix q
			
estimates store est_`var'
}

esttab sw_domain6 est_d6_2_tmp3 est_d6_2_tmp1 domain6_4 domain6_1 domain6_3 using "$path/Output/social.tex", label collabels(none) replace nolines nonumber keep(1.treatment 2.treatment 3.treatment 4.treatment 5.treatment) cells(b($stars_b fmt(%9.2f)) se(par fmt(%9.2f)) p(par([ ] ) fmt(%9.2f))) stats(N b_mean post_mean p1 p2 p3 p4 p5, fmt(%9.0fc %12.2fc %12.2fc %9.2f %9.2f %9.2f %9.2f %9.2f) labels("Observations" "Control Mean: Baseline" "Control Mean: Follow-Ups" "Lab. Grant = Info Only" "Lab. Grant = Grant Only" "Lab. Grant = R-Mentee" "R-Mentee = Info Only" "R-Mentee = U-Mentee")) coeflabels(1.treatment "Mentored by Ugandan" 2.treatment "Mentored by Refugee" 3.treatment "Grant Only" 4.treatment "Information Only" 5.treatment "Labeled Grant") order(5.treatment 4.treatment 3.treatment 2.treatment 1.treatment) substitute(\_ _ \$ $) ///
$stars_setup ///
prehead("\begin{table}[t]	\centering	\footnotesize	\caption{Cultural Attitudes Toward Refugees} \label{tab:social}	\begin{tabular}{l*{6}{>{\centering\arraybackslash}p{1.5cm}}}\toprule \toprule ") ///
posthead("\cmidrule{2-7}") ///
prefoot("& & & & & & \\") ///
postfoot("\bottomrule \bottomrule \multicolumn{7}{p{\linewidth}}{\footnotesize An observation is a surveyed respondent per post-baseline survey round in Uganda. Results estimated through ANCOVA regression with baseline controls selected through double lasso. Standard errors clustered at the enterprise level in parentheses. Brackets and the last five rows display two-sided $ p $-values. $stars_note}  \end{tabular} \\ \end{table}%")




